OpenNMS API 1.2.9

## org.opennms.web.notification
Class NoticeFactory.AcknowledgeType

    java.lang.Object
      org.opennms.web.notification.NoticeFactory.AcknowledgeType

Enclosing class:
  NoticeFactory

public static class NoticeFactory.AcknowledgeType
extends java.lang.Object

Convenience class to determine what sort of notices to include in a query.

Field Summary
`static int` `_ACKNOWLEDGED`
`static int` `_BOTH`
`static int` `_UNACKNOWLEDGED`
`static NoticeFactory.AcknowledgeType` `ACKNOWLEDGED`
`static NoticeFactory.AcknowledgeType` `BOTH`
`protected int` `id`
`protected java.lang.String` `name`
`static NoticeFactory.AcknowledgeType` `UNACKNOWLEDGED`

Constructor Summary
`private` `NoticeFactory.AcknowledgeType(java.lang.String name, int id)`

Method Summary
`int` `getId()`
`java.lang.String` `getName()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _ACKNOWLEDGED

    public static final int _ACKNOWLEDGED

See Also:
  Constant Field Values

### _UNACKNOWLEDGED

    public static final int _UNACKNOWLEDGED

See Also:
  Constant Field Values

### _BOTH

    public static final int _BOTH

See Also:
  Constant Field Values

### ACKNOWLEDGED

    public static final NoticeFactory.AcknowledgeType ACKNOWLEDGED

### UNACKNOWLEDGED

    public static final NoticeFactory.AcknowledgeType UNACKNOWLEDGED

### BOTH

    public static final NoticeFactory.AcknowledgeType BOTH

### name

    protected java.lang.String name

### id

    protected int id

Constructor Detail

### NoticeFactory.AcknowledgeType

    private NoticeFactory.AcknowledgeType(java.lang.String name,
                                          int id)

Method Detail

### toString

    public java.lang.String toString()

### getName

    public java.lang.String getName()

### getId

    public int getId()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.